Subject: Re: [PATCHv2 0/5] bonding: enslave and locking bug fixes

From: Jay Vosburgh <[email-masked]>
Date: Thu, 18 Apr 2013 11:58:06 -0700

Nikolay Aleksandrov <[email-masked]> wrote:

>Hi,
>This patch-set fixes mainly bugs on enslave failure and one occasion
>of a needed locking. The patches are:
>
>	1. On enslave failure mc addresses are not flushed from the slave
>	2. On enslave failure vlans are not cleaned up from the slave
>	3. On enslave failure the bond's primary and curr_active_slave
>	   are not cleaned up (which might result in use of freed memory)
>	4. On enslave failure netpoll is not disabled which might result in
>	   a memory leak
>	5. In bond_mc_swap() the bond's mc addr list is walked without
>	   netif_addr_lock, since it can be called without rtnl, add it
>
>v2: patch 01 - fix log message and remove unnecessary code move

	All look good to me.

Signed-off-by: Jay Vosburgh <[email-masked]>

	-J

>Best regards,
> Nik
>
>Nikolay Aleksandrov (5):
>  bonding: mc addresses don't get deleted on enslave failure
>  bonding: vlans don't get deleted on enslave failure
>  bonding: primary_slave & curr_active_slave are not cleaned on enslave
>    failure
>  bonding: disable netpoll on enslave failure
>  bonding: in bond_mc_swap() bond's mc addr list is walked without lock
>
> drivers/net/bonding/bond_main.c | 27 +++++++++++++++++++++++----
> 1 file changed, 23 insertions(+), 4 deletions(-)
>
>-- 
>1.8.1.4
>